=== debian/control ===
Source: ros-kinetic-franka-gripper
Section: misc
Priority: extra
Maintainer: Franka Emika GmbH <support@franka.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-control-msgs, ros-kinetic-libfranka, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-xmlrpcpp
Homepage: http://wiki.ros.org/franka_gripper
Standards-Version: 3.9.2

Package: ros-kinetic-franka-gripper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-control-msgs, ros-kinetic-libfranka, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-xmlrpcpp
Description: This package implements the franka gripper of type Franka Hand for the use in ros
